--- title: "Get Zone Traffic" slug: "get-zone-traffic" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:37:28Z published: 2026-09-23T09:37:28Z canonical: "docs.trellix.com/get-zone-traffic" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Zone Traffic This URL gets the list of zone traffic. ## Resource URL GET /ntbamonitors/{ntbaId}/zonetraffic? TopN= &direction=&frequency= ## Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | ntbaId | NTBA monitor id | Number | Yes | | TopN | Number of top rows, default 50. | Number | No | | direction | Direction: Bidirectional/inbound/outbound | String | No | | frequency | Frequency: 1min/10mins/hourly/daily | String | No | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | zoneTrafficList | Zone traffic | Array | Details of zoneTrafficList: | Field Name | Description | Data Type | | --- | --- | --- | | zone | Zone name | String | | zoned | Zone id | Number | | inbound | Inbound traffic | String | | outbound | Outbound traffic | String | | lastseen | Last seen | String | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/zonetraffic](https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/zonetraffic) **Response** ``` {  “ zoneTrafficList “:[{         “zone”:”Inside Zone”, “zoneId”:1191186432, “inbound”:”7M”, “outbound”:”7M”,          “lastseen”:2013-08-27 16:47:00”}] } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4301 | Invalid duration | | 2 | 400 | 4302 | Invalid time format | | 3 | 400 | 4303 | Start time is greater than end time | | 4 | 400 | 4304 | Invalid date format | | 5 | 400 | 4305 | Start/End date is not provided | | 6 | 400 | 4306 | Invalid NTBA id |